Subject: Re: [Isis-wg] Suresh Krishnan's No Objection on draft-ietf-isis-auto-conf-04: (with COMMENT)

From: "Liubing (Leo)" <[email-masked]>
Date: Fri, 5 May 2017 09:35:17 +0000

Hi Suresh,

So sorry I missed your mail. Forgive me "digging out" this mail now...

> * Section 3.3.
> 
> The TLV format seems to be off. Why does there seem to be a two octet gap
> between the Type and Length fields and the Flags field. I think the flag field
> needs to be pulled forward to bit 16 and the Router fingerprint to bit 24.

[Bing] It is only for "good looking" that the value field would not be split. I saw this style in other RFC, just learnt to use it:)

Best regards,
Bing

> -----Original Message-----
> From: Suresh Krishnan [mailto:[email-masked]]
> Sent: Wednesday, April 12, 2017 10:41 AM
> To: The IESG
> Cc: [email-masked]; Hannes Gredler; [email-masked];
> [email-masked]; [email-masked]
> Subject: Suresh Krishnan's No Objection on draft-ietf-isis-auto-conf-04: (with
> COMMENT)
> 
> Suresh Krishnan has entered the following ballot position for
> draft-ietf-isis-auto-conf-04: No Objection
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-isis-auto-conf/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> * Section 3.3.
> 
> The TLV format seems to be off. Why does there seem to be a two octet gap
> between the Type and Length fields and the Flags field. I think the flag field
> needs to be pulled forward to bit 16 and the Router fingerprint to bit 24.
> 
> Also agree with Alvaro's comments.
>